diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/wifi-phy-cca-test.cc ns-3.47/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.46/src/wifi/test/wifi-phy-cca-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/wifi-phy-cca-test.cc	2026-02-16 16:08:49.882231000 -0800
@@ -2876,20 +2893,20 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1);
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 80 MHz PPDU
-        // with received power above the CCA sensitivity threshold occupies S80
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 80 MHz PPDU that occupies S80 above CCA sensitivity threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 4, ppduDurations.at(80));
+        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 80
+        // MHz PPDU with received power above the CCA sensitivity threshold occupies
+        // S80
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4,
+                    4,
+                    ppduDurations.at(MHz_u{80}));
         ScheduleTest(delay,
+                     "Reception of a 80 MHz PPDU that occupies S80 above CCA sensitivity "
+                     "threshold",
                      {},
-                     {{dBm_u{-65}, MicroSeconds(0), S80_CENTER_FREQUENCY, MHz_u{80}}},
+                     {{dBm_u{-65}, tx1Start, S80_CENTER_FREQUENCY, MHz_u{80}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{80}) - smallDelta,
@@ -2898,88 +2915,77 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {{aCcaTimeWithDelta,
+                       1,
+                       tx1Start,
                        ppduDurations.at(MHz_u{80}),
                        WIFI_CHANLIST_SECONDARY80,
                        m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         if (m_standard == WIFI_STANDARD_80211ax)
         {
             //----------------------------------------------------------------------------------------------------------------------------------
-            // Verify PHY state stays IDLE and CCA-BUSY indication is reported if only the
-            // per20bitmap parameter changes
-            Simulator::Schedule(
-                delay,
-                &WifiPhyCcaIndicationTest::LogScenario,
-                this,
-                "Reception of a 20 MHz signal that generates a per20bitmap parameter "
-                "change when previous CCA indication reports IDLE");
-            m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
+            // Verify PHY state stays IDLE and CCA-BUSY indication is reported if only
+            // the per20bitmap parameter changes
+            m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = txDuration1;
             ScheduleTest(
                 delay,
-                {{dBm_u{-60.0},
-                  MicroSeconds(0),
-                  MicroSeconds(100),
-                  S80_CENTER_FREQUENCY + MHz_u{30},
-                  MHz_u{20}}},
+                "Reception of a 20 MHz signal that generates a per20bitmap parameter "
+                "change when previous CCA indication reports IDLE",
+                {{dBm_u{-60}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{30}, MHz_u{20}}},
                 {},
                 {
                     {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                    {MicroSeconds(100) - smallDelta,
+                    {txEndSignal1 - smallDelta,
                      WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                    {MicroSeconds(100) + smallDelta,
+                    {txEndSignal1 + smallDelta,
                      WifiPhyState::IDLE} // IDLE just after the transmission ends
                 },
                 {{aCcaTimeWithDelta,
-                  Seconds(0),
+                  1,
+                  tx1Start,
+                  tx1Start,
                   WIFI_CHANLIST_PRIMARY,
                   m_expectedPer20MhzCcaBusyDurations.at(0)}});
-            delay += Seconds(1);
+            delay += testStep;
             ResetExpectedPer20MhzCcaBusyDurations();
 
             //----------------------------------------------------------------------------------------------------------------------------------
-            // Verify PHY state stays CCA_BUSY and CCA-BUSY indication is reported if only the
-            // per20bitmap parameter changes
-            Simulator::Schedule(delay,
-                                &WifiPhyCcaIndicationTest::LogScenario,
-                                this,
-                                "Reception of a 20 MHz signal that generates a per20bitmap "
-                                "parameter change when "
-                                "previous CCA indication reports BUSY for the primary channel");
-            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, MicroSeconds(100));
-            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin(), 4, MicroSeconds(50));
-            m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = MicroSeconds(200);
+            // Verify PHY state stays CCA_BUSY and CCA-BUSY indication is reported if
+            // only the per20bitmap parameter changes
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, txDuration1);
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin(), 4, txDiff);
+            m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = txDuration2;
             ScheduleTest(
                 delay,
-                {{dBm_u{-50.0},
-                  MicroSeconds(0),
-                  MicroSeconds(100),
-                  P80_CENTER_FREQUENCY,
-                  MHz_u{80}},
-                 {dBm_u{-60.0},
-                  MicroSeconds(50),
-                  MicroSeconds(200),
-                  S80_CENTER_FREQUENCY + MHz_u{30},
-                  MHz_u{20}}},
+                "Reception of a 20 MHz signal that generates a per20bitmap parameter "
+                "change when "
+                "previous CCA indication reports BUSY for the primary channel",
+                {{dBm_u{-50}, tx1Start, txDuration1, P80_CENTER_FREQUENCY, MHz_u{80}},
+                 {dBm_u{-60}, tx2Start, txDuration2, S80_CENTER_FREQUENCY + MHz_u{30}, MHz_u{20}}},
                 {},
                 {
                     {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                    {MicroSeconds(100) - smallDelta,
-                     WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                    {MicroSeconds(100) + smallDelta,
+                    {txEndSignal1 - smallDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the
+                                                                         // transmission ends
+                    {txEndSignal1 + smallDelta,
                      WifiPhyState::IDLE} // IDLE just after the transmission ends
                 },
                 {{aCcaTimeWithDelta,
-                  MicroSeconds(100),
+                  1,
+                  tx1Start,
+                  txEndSignal1,
                   WIFI_CHANLIST_PRIMARY,
                   m_expectedPer20MhzCcaBusyDurations.at(0)},
-                 {MicroSeconds(50) +
-                      aCcaTimeWithDelta, // notification upon reception of the second signal
-                  MicroSeconds(100),
+                 {tx2Start + aCcaTimeWithDelta, // notification upon reception
+                                                // of the second signal
+                  2,
+                  tx1Start,
+                  txEndSignal1,
                   WIFI_CHANLIST_PRIMARY,
                   m_expectedPer20MhzCcaBusyDurations.at(1)}});
-            delay += Seconds(1);
+            delay += testStep;
             ResetExpectedPer20MhzCcaBusyDurations();
         }
     }
